
TYPO3.Neos - Bug # 59795

Status: Closed Priority: Should have
Author: Carsten Bleicker Category:
Created: 2014-06-22 Assigned To:
Updated: 2014-10-01 Due date:
Subject: Publishing throws exception
Description

Simply delete a Textelement and hit Publish (NOT Publish All).
See: https://www.dropbox.com/s/swkisnmqp4f815y/CommunicationErrorOnPublish.mov
See: Exception attached.

History
#1 - 2014-06-22 13:58 - Carsten Bleicker

As far as i know this should be mapped into an array holding mapped nodes, right?
@param array<\TYPO3\TYPO3CR\Domain\Model\NodeInterface> $nodes
Packages/Application/TYPO3.Neos/Classes/TYPO3/Neos/Service/Controller/WorkspaceController.php:98

But its holding an array with the contextPath.

#2 - 2014-06-22 14:12 - Carsten Bleicker

Tried to use
@param ArrayCollection<\TYPO3\TYPO3CR\Domain\Model\NodeInterface> $nodes

With this the publishing works.
Problem is, that the \TYPO3\TYPO3CR\Service\PublishingServiceInterface::publishNodes expects an array and not a collection.
Its annotated as @api wich means, changing this will be a breaking change, i think.

So what should i do? Patching all the interface stuff to collection or
changing the array converter to reflect the target type of <\TYPO3\TYPO3CR\Domain\Model\NodeInterface>?

#3 - 2014-06-22 14:31 - Carsten Bleicker

See my comment on:
[[https://review.typo3.org/#/c/19567/]]

#4 - 2014-06-22 23:32 - Christopher Hlubek

We have to check if this only occurs if content dimensions are enabled, I could not yet reproduce it with the default demo site (without content
dimensions). Will try to do that soon.

#5 - 2014-06-23 00:59 - Carsten Bleicker

happens to me also on demo site.
#6 - 2014-10-01 13:05 - Philipp Hanebrink
- Assigned To set to Philipp Hanebrink

#7 - 2014-10-01 13:13 - Philipp Hanebrink
- Status changed from New to Closed
- Assigned To deleted (Philipp Hanebrink)

Moved to Jira: https://jira.typo3.org/browse/NEOS-460
